Subject: bug#21396: 25.0.50; read-key's prompt is not visible

From: Tassilo Horn <[email-masked]>
Date: Thu, 03 Sep 2015 20:36:40 +0200

Eli Zaretskii <[email-masked]> writes:

>> > Putting me in the Cc was more trouble than
>> > anything else: it means I get *your* message instead of the one from
>> > Debbugs, so I don't get to know the bug-number and a naive reply would
>> > end up creating a new bug-nb!
>> > [ Tho, IIRC Glenn(?) added some Message-ID matching to Debbugs to try
>> >   and catch those cases.  So maybe it's not that bad.  ]
>> >
>> > Better either not put the person in the Cc (in case you expect/know the
>> > person subscribes to bug-gnu-emacs), or else use "X-Debbugs-Cc:" which
>> > instructs Debbugs to add the person to the Cc of the messages it sends out.
>> 
>> Oh, thanks for the pointer.  Do you think it would be a good idea to
>> remap `message-goto-cc' to a similar function which goes to (and thereby
>> creates) the X-Debbugs-Cc header?  I think it's generally a good idea to
>> notify the person who introduced some problem, and Cc-ing seems to be
>> the obvious way to do that.
>
> Please don't bother about this.  The problem Stefan was worried about
> doesn't exist, AFAIK.

Maybe the double-bug issue doesn't exist but it's a fact that the
Cc-receiver doesn't get to know the bug number automatically, and that's
really annoying.  The X-Debbugs-Cc would solve that, and the following
patch is easy enough, no?

--8<---------------cut here---------------start------------->8---
diff --git a/lisp/mail/emacsbug.el b/lisp/mail/emacsbug.el
index f54893f..82d8e74 100644
--- a/lisp/mail/emacsbug.el
+++ b/lisp/mail/emacsbug.el
@@ -143,6 +143,12 @@ This requires either the OS X \"open\" command, or the freedesktop
 (defvar message-send-mail-function)
 (defvar message-sendmail-envelope-from)
 
+(defun report-emacs-bug-message-goto-x-debbugs-cc ()
+  "Move point to the X-Debbugs-Cc header."
+  (interactive)
+  (push-mark)
+  (message-position-on-field "X-Debbugs-Cc" "To"))
+
 ;;;###autoload
 (defun report-emacs-bug (topic &optional unused)
   "Report a bug in GNU Emacs.
@@ -319,6 +325,8 @@ usually do not have translators for other languages.\n\n")))
     ;; This is so the user has to type something in order to send easily.
     (use-local-map (nconc (make-sparse-keymap) (current-local-map)))
     (define-key (current-local-map) "\C-c\C-i" 'info-emacs-bug)
+    (define-key (current-local-map) [remap message-goto-cc]
+      #'report-emacs-bug-message-goto-x-debbugs-cc)
     (if can-insert-mail
 	(define-key (current-local-map) "\C-c\M-i"
 	  'report-emacs-bug-insert-to-mailer))
--8<---------------cut here---------------end--------------->8---

Bye,
Tassilo